## ros-noetic-rm-dbus 0.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(rm_dbus)

## Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## By adding -Wall and -Werror, the compiler does not ignore warnings anymore,
## enforcing cleaner code.
add_definitions(-Wall -Werror)

## Find catkin macros and libraries
find_package(catkin REQUIRED
    COMPONENTS
    roscpp
    roslint
    rm_common
    )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    INCLUDE_DIRS
    include
    ## This is only necessary because Eigen3 sets a non-standard EIGEN3_INCLUDE_DIR variable
    CATKIN_DEPENDS
    roscpp
    rm_common
    DEPENDS
    ## find_package(Eigen3) provides a non standard EIGEN3_INCLUDE_DIR instead of Eigen3_INCLUDE_DIRS.
    ## Therefore, the DEPEND does not work as expected and we need to add the directory to the INCLUDE_DIRS
    # Eigen3

    ## Boost is not part of the DEPENDS since it is only used in source files,
    ## Dependees do not depend on Boost when they depend on this package.
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

## Declare cpp executables
add_executable(${PROJECT_NAME}
    src/dbus_node.cpp
    src/dbus.cpp
    )

## Specify libraries to link executable targets against
target_link_libraries(${PROJECT_NAME}
    ${catkin_LIBRARIES}
    )

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
        TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
        DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h"
)

# Mark other files for installation
install(
        DIRECTORY config
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

#if (${CATKIN_ENABLE_TESTING})
#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
#  ## Add gtest based cpp test target and link libraries
#  catkin_add_gtest(${PROJECT_NAME}-test
#      test/test_ros_package_template.cpp)
#  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
#endif ()

##########################
## Static code analysis ##
##########################

roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-dbus (0.1.17-1buster) buster; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-dbus (0.1.16-1buster) buster; urgency=high

  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.15-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.14-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.13-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.12-1buster) buster; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.11-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.10-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.9-1buster) buster; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: Jie j

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.8-1buster) buster; urgency=high

  * Merge branch 'master' into master
  * Remove priority from dbus_node
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Contributors: YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.7-1buster) buster; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.6-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.5-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.4-1buster) buster; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.3-1buster) buster; urgency=high

  * Format the code
  * Format the code
  * Add licence
  * Correct dbus to rm_dbus.
  * Correct the #include in dbus_node.cpp
  * Correct rm_dbus code format.
  * Correct code format.
  * Correct rm_dbus code format.
  * Correct rm_dbus code format.
  * Make rm_dbus version same with the other package in rm_control.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_dbus/rm_dbus,prepare for merge
  * Contributors: BruceLannn, qiayuan
  * Format the code
  * Format the code
  * Add licence
  * Correct dbus to rm_dbus.
  * Correct the #include in dbus_node.cpp
  * Correct rm_dbus code format.
  * Correct code format.
  * Correct rm_dbus code format.
  * Correct rm_dbus code format.
  * Make rm_dbus version same with the other package in rm_control.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_dbus/rm_dbus,prepare for merge
  * Contributors: BruceLannn, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-dbus
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rm-common, ros-noetic-roscpp, ros-noetic-roslint
Description: A package that uses dbus to read remote control information

## ros-noetic-rm-dbus 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 find_package(catkin REQUIRED
     COMPONENTS
     roscpp
-    roslint
     rm_common
     )
 
@@ -100,9 +99,3 @@
 #      test/test_ros_package_template.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()

=== debian/changelog ===
ros-noetic-rm-dbus (0.1.18-1focal) focal; urgency=high

  * Merge branch 'master' into dev/polygon_ui
  * Merge branch 'master' into gazebo_imu_reserve
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_control/issues/106> from YoujianWu/work
    Delete dependence roslint.
  * Run pre-commit.
  * Delete dependence roslint.
  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: Kook, ye-luo-xi-tui, yezi, yuchen

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-dbus (0.1.17-1focal) focal; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-dbus (0.1.16-1focal) focal; urgency=high

  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.15-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.14-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.13-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.12-1focal) focal; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.10-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.9-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: Jie j

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.8-1focal) focal; urgency=high

  * Merge branch 'master' into master
  * Remove priority from dbus_node
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Contributors: YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.7-1focal) focal; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.6-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.5-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.4-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.3-1focal) focal; urgency=high

  * Format the code
  * Format the code
  * Add licence
  * Correct dbus to rm_dbus.
  * Correct the #include in dbus_node.cpp
  * Correct rm_dbus code format.
  * Correct code format.
  * Correct rm_dbus code format.
  * Correct rm_dbus code format.
  * Make rm_dbus version same with the other package in rm_control.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_dbus/rm_dbus,prepare for merge
  * Contributors: BruceLannn, qiayuan
  * Format the code
  * Format the code
  * Add licence
  * Correct dbus to rm_dbus.
  * Correct the #include in dbus_node.cpp
  * Correct rm_dbus code format.
  * Correct code format.
  * Correct rm_dbus code format.
  * Correct rm_dbus code format.
  * Make rm_dbus version same with the other package in rm_control.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_dbus/rm_dbus,prepare for merge
  * Contributors: BruceLannn, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-rm-dbus
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rm-common, ros-noetic-roscpp
Description: A package that uses dbus to read remote control information

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rm-dbus//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
